List of something new new

Retrieve a list of something.

Token scopes: contracts:read, contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

after_cursorstringOptional
Return next page of results after the given cursor.
limitstringOptionalformat: "^[0-9]+$"
Return a page of results with the given number of records.
order_directionenumOptional

Order direction of results; ascending or descending.

Allowed values:
typeslist of enumsOptional
Filter contracts by type. A contract is included in the results if its type is in this list.
statuseslist of enumsOptional
Filter contracts by current status. A contract is included in the results if its status is in this list.
team_idstringOptional

Filter contracts for the given team ID. NOTE: All query parameters are technically strings or arrays of strings.

external_idstringOptional
Filter contracts for the given external ID.
countrieslist of stringsOptional
Filter contracts by country codes.
currencieslist of strings or stringOptional
Filter something news by currency codes.
searchstringOptional
Include a something new if its name or the contractor's name contains the given search term.
sort_byenumOptional
Sort something new by the given field name.
Allowed values:

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error